[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: New F-10 in koji



On Wed, 23 Apr 2008 20:17:33 +0200, Tanguy Eric wrote:

> Michael Schwendt a écrit :
> > On Wed, 23 Apr 2008 17:51:43 +0200, Tanguy Eric wrote:
> >
> >   
> >> My package build fine for F-9 but failed for devel 
> >> http://koji.fedoraproject.org/koji/getfile?taskID=578408&name=build.log 
> >> i added openssl-devel to BR and it builds fine now. But i can't 
> >> understand why i have to add openssl-devel to BR between F-9 and F-10 ?
> >>     
> >
> > Examine your build requirements to find out which one adds the "-lssl" to
> > the linker options. It could be that one package of your build
> > requirements is just missing "Requires: openssl-devel". Then that
> > package ought to get fixed.
> >
> >   
> Ok but how to know what package add "-lssl" ?

Go through your list of needed -devel packages, see how they are used by
your package. Look for pkgconfig files (*.pc) or *-config scripts which
return compiler/linker flags.

-- 
Fedora release 8 (Werewolf) - Linux 2.6.23.15-137.fc8
loadavg: 1.75 1.69 1.37


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]